package org.project.entity.players;

import org.project.entity.Entity;
import org.project.item.armors.Armor;
import org.project.item.weapons.Weapon;
public class Assassin extends Player {
    private static final int assassinHp = 20 ;
    private static final int asssassinmp = 40;
    public Assassin(String name , Weapon weapon , Armor armor  )
    {
        super(name , assassinHp , asssassinmp ,weapon ,armor);
    }

    @Override
    public void specialAttack(Entity target) {
        target.takeDamage(weapon.getDamage());
    }


    @Override
    public boolean ISLive() {
        return false;
    }
}